{% load static %}
{% load pool_extrass %}
{% load i18n %}
{% get_available_languages as LANGUAGES %}
{% get_current_language as LANGUAGE_CODE %}


<header class="header">
    <div class="container-lg">
        <div class="wrap">
            <nav class="header-sub-nav" >
                <ul class="sub__list">
                    <li class="sub__item">
                        <a href="{% url 'news_list' %}" class="sub__link black-link">
                            Новости
                        </a>
                    </li>
                    <li class="sub__item">
                        <a href="{% url 'contacts' %}" class="sub__link black-link">
                            Контакты
                        </a>
                    </li>
                    <li class="sub__item">
                        {% for language_code, language_name in LANGUAGES %}
                            {% if language_code == LANGUAGE_CODE %}
                                <span class="dropdown-toggle lang-toggle" id="dropdownMenuLang"
                                      role="navigation"
                                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                {{ language_name }}
                                </span>
                            {% endif %}
                        {% endfor %}
                        <div class="dropdown-menu lang" aria-labelledby="dropdownMenuLang">
                            {% for language_code, language_name in LANGUAGES %}

                                {% if language_code != LANGUAGE_CODE %}
                                    <a class="dropdown-item leather-club"
                                       data-lang="{{ language_code }}"
                                       href="{% translate_url language_code %}">{{ language_name }}
                                    </a>
                                {% endif %}
                            {% endfor %}
                        </div>
                    </li>
                    <li class="sub__item notify__item">
                        <div class="notify">
                             <svg width="22" height="24" viewBox="0 0 22 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M10.5882 24C11.3906 24 12.16 23.6832 12.7274 23.1192C13.2947 22.5552 13.6134 21.7902 13.6134 20.9926H7.56303C7.56303 21.7902 7.88175 22.5552 8.44909 23.1192C9.01643 23.6832 9.7859 24 10.5882 24Z"
                                  fill="#397DFB"/>
                            <path fill-rule="evenodd" clip-rule="evenodd"
                                  d="M10.5882 2.88537L9.38269 3.12746C8.01523 3.40444 6.78605 4.1426 5.90317 5.217C5.0203 6.29141 4.53796 7.63606 4.53782 9.02338C4.53782 9.96769 4.33513 12.327 3.84353 14.6501C3.60151 15.8035 3.27479 17.0049 2.84067 18.0454H18.3358C17.9017 17.0049 17.5765 15.805 17.3329 14.6501C16.8413 12.327 16.6387 9.96769 16.6387 9.02338C16.6382 7.63632 16.1557 6.29202 15.2728 5.21792C14.39 4.14383 13.161 3.40589 11.7938 3.12896L10.5882 2.88386V2.88537ZM19.9966 18.0454C20.334 18.7176 20.7242 19.2499 21.1765 19.5491H0C0.452269 19.2499 0.842521 18.7176 1.17983 18.0454C2.54118 15.3388 3.02521 10.3466 3.02521 9.02338C3.02521 5.38448 5.62689 2.34705 9.08319 1.65386C9.06208 1.44478 9.08529 1.23362 9.15131 1.034C9.21734 0.834383 9.32471 0.650738 9.46652 0.49491C9.60833 0.339081 9.78142 0.214529 9.97462 0.129285C10.1678 0.0440419 10.3769 0 10.5882 0C10.7996 0 11.0086 0.0440419 11.2019 0.129285C11.3951 0.214529 11.5681 0.339081 11.71 0.49491C11.8518 0.650738 11.9591 0.834383 12.0252 1.034C12.0912 1.23362 12.1144 1.44478 12.0933 1.65386C13.8029 1.99955 15.3399 2.922 16.4439 4.26499C17.5479 5.60799 18.151 7.289 18.1513 9.02338C18.1513 10.3466 18.6353 15.3388 19.9966 18.0454Z"
                                  fill="#397DFB"/>
                        </svg>
                        <span class="counter">22</span>
                        </div>
                        <div class="notification-block">
                            <div class="wrap">
                                  <button class="btn close-notify">&times;</button>
                            <div class="notification-item">
                                   <p class="notification__title">
                                Ваши уведомления
                            </p>
                                <p class="notification__text">
                                Стоимость ежемесячной оплаты по тарифному плану была изменена в связи с окончанием акции
                            </p>
                            <a href="" class="notification__link next-arrow">Подключенные услуги</a>
                            <span class="notification__date">01.12.2020</span>
                            </div>
                            </div>
                        </div>
                    </li>
                    <li class="sub__item">
                        <a href="{% url 'logout' %}" class="exit">Выход</a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
    <hr>
    <div class="container-lg">
        <div class="wrap">

            <nav class="header-main-nav">

                <a class="header_logo" href="{% url 'index' %}"><img loading="lazy" src="{% static 'src/images/logo.png' %}" alt=""></a>

                <ul class="main__list">
                    <li class="main__item balance">
                        <img loading="lazy" src="{% static 'src/images/icons/money.svg' %}" alt="">
                        <div class="about-balance-block">
                            <span class="about__text">Ваш баланс:</span>
                            <span class="about__text_price {% if user.account|to_float < 30 %} negative-balance {% endif %}">
                                 {# для негативного баланса нужно добавить класс negative-balance #}
                                {{ user.account }}
                            </span>
                        </div>
                    </li>
                    <li class="main__item add_balance">
                        <a href="{% url 'payment' %}" class="btn acc-btn big-dick acc-btn-white">Пополнить счет</a>
                        {# отображать кредит при негативном балансе #}
                        {% if user.account|to_float < 30 %}<span class="credit">Заказать кредит</span>{% endif %}

                    </li>
                    <li class="main__item user_info">
                        <img loading="lazy" src="{% static 'src/images/icons/user.svg' %}" alt="">
                        <div class="user-info-block">
                            <span class="user__text_about leather-club">{{ user.fullname }}</span>
                            <span class="user__text">
                                Лицевой счет: <span class="user__text__id">{{ user.id_user }}</span>
                            </span>
                        </div>
                    </li>
                </ul>
                <ul class="main__list2">
                    <li class="main__item chat">
                        <a class="btn acc-btn acc-btn-blue" data-toggle="modal" data-target="#dialog-modal">On-line
                            чат
                        </a>
                    </li>
                    <li class="main__item call">
                        <button class="btn acc-btn acc-btn-darkblue" data-toggle="modal" data-target="#call-back">Заказать звонок</button>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</header>


{% include 'templateparts/modals/dialog_modal.html' with id='call-back' header_icon='' body_title='' body_text='Наши специалисты свяжутся с Вами в ближайшее время по указанному номеру телефона' btn='' computer_form='' cancel_btn=''  header_title='Заказать звонок' form='true' form_phone='true' form_before_text='' form_select='' btn_text='Заказать' %}

{#{% include 'templateparts/modals/dialog_modal.html' with header_icon='' body_title='' body_text='' btn='' computer_form='' cancel_btn=''  header_title='header_title' form='' form_phone='' form_before_text='Заказать' form_select='' btn_text='Заказать' %}#}

